import type { string_javascript } from '../../types/typeAliases';
import type { string_typescript } from '../../types/typeAliases';
/**
 * Extract all used variable names from ginen JavaScript/TypeScript script
 *
 * @param script JavaScript/TypeScript script
 * @returns Set of variable names
 * @throws {ParseError} if the script is invalid
 * @public exported from `@promptbook/utils` <- Note: [👖] This is usable elsewhere than in Promptbook, so keeping in utils
 */
export declare function extractVariablesFromScript(script: string_javascript | string_typescript): Set<string>;
/**
 * TODO: [🔣] Support for multiple languages - python, java,...
 */
